unit Unit2;

(*
(c) Keops Août 2014- Domain Public
http://emmanuel.ostenne.free.fr/util.htm#KeopsPolygone
*)

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm2 }

  TForm2 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: char);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.lfm}

{ TForm2 }
uses Unit1,clipbrd;

procedure TForm2.Button1Click(Sender: TObject);
var
   f : single;
   ncote,perimetre,aire,longcote : string;
begin
          try
             f:=strToFloat(Edit1.Text);
             f:=abs(f);
          except
             f:=-1;
          end;
          if(f=-1) then begin
            showMessage('Calcul arrêté : la valeur saisie n''est pas un nombre !');
            exit
          end;
          if distance(Form1.Etalon[0],Form1.Etalon[1])<1 then begin
            showMessage('Calcul arrêté : le segment tracé est trop petit !');
            exit
          end;
          //Form1.GetValeurs(ncote,perimetre,aire);
          Form1.GetValeurs2(' ',ncote,perimetre,aire,longcote);
          Label3.Caption:=ncote;
          Label5.caption:=perimetre;
          Label7.Caption:=aire;
          Label9.Caption:=longcote;
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
       Clipboard.AsText:=Form1.getInformations(Sender);
end;

procedure TForm2.FormKeyPress(Sender: TObject; var Key: char);
begin
     if Key=chr(13) then Button1Click(Sender);
end;

procedure TForm2.FormShow(Sender: TObject);
begin
  Button1Click(Sender);
  Label3.left:=Label2.left+Label2.width+10;
  Label5.left:=Label4.left+Label4.width+10;
  Label7.left:=Label6.left+Label6.width+10;
  Label9.left:=Label8.left+Label8.width+10;
  ComboBox1.Left:=Edit1.left+Edit1.width+20;
  Button1.Left:=GroupBox1.width-Button1.width-30;
end;

end.
